/*  
 * Papercut
 *
 *  Copyright  2008 - 2012 Ken Robertson
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 */

namespace Papercut.SMTP.Mime
{
	/// <summary>
	/// The mime headers.
	/// </summary>
	public static class MimeHeaders
	{
		#region Constants and Fields

		/// <summary>
		///   The content description.
		/// </summary>
		public const string ContentDescription = "content-description";

		/// <summary>
		///   The content disposition.
		/// </summary>
		public const string ContentDisposition = "content-disposition";

		/// <summary>
		///   The content id.
		/// </summary>
		public const string ContentId = "content-id";

		/// <summary>
		///   The content transfer encoding.
		/// </summary>
		public const string ContentTransferEncoding = "content-transfer-encoding";

		/// <summary>
		///   The content type.
		/// </summary>
		public const string ContentType = "content-type";

		/// <summary>
		///   The mime version.
		/// </summary>
		public const string MimeVersion = "mime-version";

		#endregion
	}
}